


<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>Coverage report</title>
    <link rel="stylesheet" href="style.css" type="text/css">
    
    <script type="text/javascript" src="jquery.min.js"></script>
    <script type="text/javascript" src="jquery.ba-throttle-debounce.min.js"></script>
    <script type="text/javascript" src="jquery.tablesorter.min.js"></script>
    <script type="text/javascript" src="jquery.hotkeys.js"></script>
    <script type="text/javascript" src="coverage_html.js"></script>
    <script type="text/javascript">
        jQuery(document).ready(coverage.index_ready);
    </script>
</head>
<body class="indexfile">

<div id="header">
    <div class="content">
        <h1>Coverage report:
            <span class="pc_cov">9%</span>
        </h1>

        <img id="keyboard_icon" src="keybd_closed.png" alt="Show keyboard shortcuts" />

        <form id="filter_container">
            <input id="filter" type="text" value="" placeholder="filter..." />
        </form>
    </div>
</div>

<div class="help_panel">
    <img id="panel_icon" src="keybd_open.png" alt="Hide keyboard shortcuts" />
    <p class="legend">Hot-keys on this page</p>
    <div>
    <p class="keyhelp">
        <span class="key">n</span>
        <span class="key">s</span>
        <span class="key">m</span>
        <span class="key">x</span>
        
        <span class="key">b</span>
        <span class="key">p</span>
        
        <span class="key">c</span> &nbsp; change column sorting
    </p>
    </div>
</div>

<div id="index">
    <table class="index">
        <thead>
            
            <tr class="tablehead" title="Click to sort">
                <th class="name left headerSortDown shortkey_n">Module</th>
                <th class="shortkey_s">statements</th>
                <th class="shortkey_m">missing</th>
                <th class="shortkey_x">excluded</th>
                
                <th class="shortkey_b">branches</th>
                <th class="shortkey_p">partial</th>
                
                <th class="right shortkey_c">coverage</th>
            </tr>
        </thead>
        
        <tfoot>
            <tr class="total">
                <td class="name left">Total</td>
                <td>308</td>
                <td>281</td>
                <td>0</td>
                
                <td>56</td>
                <td>2</td>
                
                <td class="right" data-ratio="33 364">9%</td>
            </tr>
        </tfoot>
        <tbody>
            
            <tr class="file">
                <td class="name left"><a href="api___init___py.html">api/__init__.py</a></td>
                <td>30</td>
                <td>18</td>
                <td>0</td>
                
                <td>0</td>
                <td>0</td>
                
                <td class="right" data-ratio="12 30">40%</td>
            </tr>
            
            <tr class="file">
                <td class="name left"><a href="api_utils___init___py.html">api/utils/__init__.py</a></td>
                <td>51</td>
                <td>50</td>
                <td>0</td>
                
                <td>16</td>
                <td>0</td>
                
                <td class="right" data-ratio="3 67">4%</td>
            </tr>
            
            <tr class="file">
                <td class="name left"><a href="api_v1_models_users_py.html">api/v1/models/users.py</a></td>
                <td>227</td>
                <td>213</td>
                <td>0</td>
                
                <td>40</td>
                <td>2</td>
                
                <td class="right" data-ratio="18 267">7%</td>
            </tr>
            
        </tbody>
    </table>

    <p id="no_rows">
        No items found using the specified filter.
    </p>
</div>

<div id="footer">
    <div class="content">
        <p>
            <a class="nav" href="https://coverage.readthedocs.io">coverage.py v4.5.4</a>,
            created at 2019-10-29 23:27
        </p>
    </div>
</div>

</body>
</html>
